﻿using System;
using System.Text;

namespace Gadgeteer.Modules.Community.XBee
{
    /// <summary>
    /// Enum representing the type of device (Coordinator, Router, EndDevice)
    /// </summary>
    public enum DeviceTypeEnum : ushort
    {
        /// <summary>
        /// Coordinator device
        /// </summary>
        Coordinator = 0,
        /// <summary>
        /// Router device
        /// </summary>
        Router = 1,
        /// <summary>
        /// Endpoint device
        /// </summary>
        EndDevice = 2
    }
}
